play.db.helper

## Class SqlSelect

- java.lang.Object
- - play.db.helper.SqlQuery
  - - play.db.helper.SqlSelect

Direct Known Subclasses:
  JpqlSelect

    public class SqlSelect
    extends SqlQuery

### Nested Class Summary

Nested Classes
`static class` `SqlSelect.Where`

### Nested classes/interfaces inherited from class play.db.helper.SqlQuery

`SqlQuery.Concat`

### Field Summary

Fields
`protected SqlQuery.Concat` `from`
`protected SqlQuery.Concat` `groupBy`
`protected SqlQuery.Concat` `join`
`protected SqlQuery.Concat` `limit`
`protected SqlQuery.Concat` `orderBy`
`protected SqlQuery.Concat` `select`
`protected SqlQuery.Concat` `where`

### Fields inherited from class play.db.helper.SqlQuery

`params`

### Constructor Summary

Constructors
Constructor and Description
`SqlSelect()`
`SqlSelect(SqlSelect src)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlSelect` `andWhere(SqlSelect.Where... expr)`
`SqlSelect` `andWhere(java.lang.String... expr)`
`SqlSelect` `from(java.lang.String... expr)`
`SqlSelect` `groupBy(java.lang.String... expr)`
`SqlSelect` `innerJoin(java.lang.String... expr)`
`SqlSelect` `leftJoin(java.lang.String... expr)`
`SqlSelect` `limit(long lines)`
`SqlSelect` `limit(long offset, long lines)`
`SqlSelect` `orderBy(java.lang.String... expr)`
`SqlSelect` `orWhere(SqlSelect.Where... expr)`
`SqlSelect` `orWhere(java.lang.String... expr)`
`SqlSelect` `param(java.lang.Object obj)`
`SqlSelect` `params(java.lang.Object... objs)`
`SqlSelect` `select(java.lang.String... expr)`
`java.lang.String` `toString()`
`SqlSelect.Where` `where()`
`SqlSelect` `where(SqlSelect.Where... expr)`
`SqlSelect` `where(java.lang.String... expr)`

### Methods inherited from class play.db.helper.SqlQuery

`getParams, inlineParam, paramCurrentIndex, pmark, pmark, quote, whereIn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### select

    protected final SqlQuery.Concat select

#### from

    protected final SqlQuery.Concat from

#### join

    protected final SqlQuery.Concat join

#### where

    protected final SqlQuery.Concat where

#### groupBy

    protected final SqlQuery.Concat groupBy

#### orderBy

    protected final SqlQuery.Concat orderBy

#### limit

    protected final SqlQuery.Concat limit

### Constructor Detail

#### SqlSelect

    public SqlSelect()

#### SqlSelect

    public SqlSelect(SqlSelect src)

### Method Detail

#### param

    public SqlSelect param(java.lang.Object obj)

Overrides:
  `param` in class `SqlQuery`

#### params

    public SqlSelect params(java.lang.Object... objs)

Overrides:
  `params` in class `SqlQuery`

#### select

    public SqlSelect select(java.lang.String... expr)

#### from

    public SqlSelect from(java.lang.String... expr)

#### innerJoin

    public SqlSelect innerJoin(java.lang.String... expr)

#### leftJoin

    public SqlSelect leftJoin(java.lang.String... expr)

#### where

    public SqlSelect where(java.lang.String... expr)

#### andWhere

    public SqlSelect andWhere(java.lang.String... expr)

#### orWhere

    public SqlSelect orWhere(java.lang.String... expr)

#### groupBy

    public SqlSelect groupBy(java.lang.String... expr)

#### orderBy

    public SqlSelect orderBy(java.lang.String... expr)

#### limit

    public SqlSelect limit(long lines)

#### limit

    public SqlSelect limit(long offset,
                           long lines)

#### where

    public SqlSelect.Where where()

#### where

    public SqlSelect where(SqlSelect.Where... expr)

#### andWhere

    public SqlSelect andWhere(SqlSelect.Where... expr)

#### orWhere

    public SqlSelect orWhere(SqlSelect.Where... expr)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`